import os

from commandcenter import (
        Coordinator, Difficulty, Race,
        create_participants, create_computer,
)

from myagent.main import MyAgent

def main():
    fight_against_agent = False
    coordinator = Coordinator(r"D:\StarCraft II\Versions\Base81009\SC2_x64.exe")


    bot1 = MyAgent()
    participant_1 = create_participants(Race.Terran, bot1)
    if fight_against_agent:
        bot2 = MyAgent()  # Change me
        participant_2 = create_participants(Race.Terran, bot2)
    else:
        participant_2 = create_computer(Race.Random, Difficulty.Easy)

    coordinator.set_real_time(True)
    coordinator.set_participants([participant_1, participant_2])
    coordinator.launch_starcraft()

    path = os.path.join(os.getcwd(), "maps", "InterloperTest.SC2Map")
    coordinator.start_game(path)

    while coordinator.update():
        pass


if __name__ == "__main__":
    main()
